##
##        Mod title:  Calendar [Upgrade instructions]
##
##      Mod version:  2.0.8a beta
##   Works on PunBB:  1.2.*
##     Release date:  2007-03-14
##           Author:  Michael Lanman 'Gizzmo' (justgiz@justgizzmo.com)
##           Assist:  BugHunter, soonotes, shaunkirkby, xxtubby, Quaker, TwoHawks
##
##      Description:  Adds a calendar that shows topics, posts, birthdays, and
##                    events for the month. Also adds birthday entry to the
##                    profile.
##
##   Affected files:  profile.php
##                    include/common.php
##                    styles/imports/***.css
##                                     
##       Affects DB:  no
##
##       DISCLAIMER:  Please note that "mods" are not officially supported by
##                    PunBB. Installation of this modification is done at your
##                    own risk. Backup your forum database and any and all
##                    applicable files before proceeding.
##
##


#
#---------[ 1. UPLOAD ]-------------------------------------------------------
#

calendar.php to /

calendar/*.* to /calendar/

img/icon_party.gif to /img/icon_party.gif

include/user/showminical1.php to /include/user/showminical1.php

lang/[yourlanguage]/calendar.php to /lang/[yourlanguage]/calendar.php

plugins/AP_Calendar_Settings.php to /plugins/AP_Calendar_Settings.php


#
#---------[ 2. CHMOD TO 766 ]-------------------------------------------------
#

calendar/config.php


#
#---------[ 3. OPEN ]---------------------------------------------------------
#

profile.php


#
#---------[ 4. FIND (line: 27) ]---------------------------------------------
#

require PUN_ROOT.'include/common.php';


#
#---------[ 5. AFTER, ADD ]---------------------------------------------------
#

require PUN_ROOT.'lang/'.$pun_user['language'].'/calendar.php';


#
#---------[ 6. FIND (line: 971) ]---------------------------------------------
#

	list($year, $month, $day) = explode('-',$user['birthday']);
	if($month!=0 && $day!=0 && $year!=0)
		$birthday = date("F jS Y",mktime(0,0,0,$month,$day,$year));
	else
		$birthday = $lang_profile['Unknown'];


#
#---------[ 7. REPLACE WITH ]-------------------------------------------------
#

        list($year, $month, $day) = explode('-',$user['birthday']);
	if($month!=0 && $day!=0){
		$Nyear = (strlen($year)!=4)? NULL: $year;
                $datestamp = mktime(0,0,0,$month,$day,0);
                if ($lang_calendar['Date_format'] == 'US') {
                   $birthday = date("F jS ", $datestamp).$Nyear;
                } else {
                   $birthday = date("j ", $datestamp).$lang_calendar[(date("F", $datestamp))].$Nyear;
                }
	}else
		$birthday = $lang_profile['Unknown'];


#
#---------[ 8. FIND (line: 1261) ]---------------------------------------------
#

<!---------------------------->
<!-- Start of Gizzmo's Code -->
<!-- justgiz@justgizzmo.com -->
<!---------------------------->

....
....
....

<!------------------------->
<!-- End of Gizzmo's Code-->
<!------------------------->


#
#---------[ 9. REPLACE WITH ]-------------------------------------------------
#

<!---------------------------->
<!-- Start of Gizzmo's Code -->
<!-- justgiz@justgizzmo.com -->
<!---------------------------->
<label><?php echo $lang_profile['Birthday'] ?></label>
							<div>
<?php list($bday_year,$bday_month,$bday_day) = explode('-', $user['birthday']);?>
	<select name="bday_month">
        <option value="0" <?php
        if(empty($bday_month)&& $bday_month="0")echo 'selected';
 echo '>'.$lang_calendar['Month'].'</option>';

	$month_name = array('',$lang_calendar['January'],$lang_calendar['February'],$lang_calendar['March'],$lang_calendar['April'],$lang_calendar['May'],$lang_calendar['June'],$lang_calendar['July'],$lang_calendar['August'],$lang_calendar['September'],$lang_calendar['October'],$lang_calendar['November'],$lang_calendar['December']);
	for($x=1;$x<13;$x++)
	{
		$s = ($bday_month == $x)? " selected": "";
		echo"\t\t\t\t\t\t\t\t\t<option value='".$x."'".$s.">".$month_name[$x]."</option>\n";
	}

        echo"\t\t\t\t\t\t\t\t\t</select>\n";
        echo"\t\t\t\t\t\t\t\t\t<select name=\"bday_day\">\n";
        echo"\t\t\t\t\t\t\t\t\t<option value=\"0\"";
	if(empty($bday_day)&& $bday_day="0")echo 'selected';
									echo '>'. $lang_calendar['Day'].'</option>';

	for($x=01;$x<=31;$x++)
	{
		$s = ($bday_day == $x)? " selected": "";
		echo"\t\t\t\t\t\t\t\t\t<option value='".$x."'".$s.">".$x."</option>\n";
	}
        echo"'\t\t\t\t\t\t\t\t\t</select>\n";
        echo "\t\t\t\t\t\t\t\t\t<select name=\"bday_year\">\n";
        echo "\t\t\t\t\t\t\t\t\t<option value=\"0\"";
        if(empty($bday_year)&& $bday_year="0")echo 'selected';
        echo '>'. $lang_calendar['Year'] .'</option>\n';

	for($x=date("Y")-5; $x>date("Y")-90; $x--)
	{
		$s = ($bday_year == $x)? " selected": "";
		echo"\t\t\t\t\t\t\t\t\t<option value='".$x."'".$s.">".$x."</option>\n";
	}

?>
								</select>

							</div>

<!------------------------->
<!-- End of Gizzmo's Code-->
<!------------------------->


#
#---------[ 10. OPEN ]---------------------------------------------------------
#

include/common.php


#
#---------[ 11. AT THE END, ADD ]---------------------------------------------
#

// Load MiniCalendar Functions
require PUN_ROOT.'calendar/header.php';


#
#---------[ 12. OPEN ("***" means effected files) ]----------------------------
#

styles/imports/***_cs.css


#
#---------[ 13. DELETE ]---------------------------------------------------------
#

.calendar_no {background-color: #......}
.calendar_day{background-color: #......}


#
#---------[ 14. FIND ]---------------------------------------------
#

/* 1. 2 Darker background colours */


#
#---------[ 15. BEFORE, ADD ]---------------------------------------------------
#

/****************************************************************/
/* 0.0 Calendar Color Additions - edit to suit your own taste */
/****************************************************************/
.calendar_no {background-color: gray}
.calendar_day {background-color: #00FFFF; COLOR:BLUE}
.calendar_event {background-color: #F9E9C8}
.calendar_bday {background-color: #FECAFF}
/****************************************************************/


#
#---------[ 16. FIND ]---------------------------------------------
#

/****************************************************************/
/* 5. POST STATUS INDICATORS */
/****************************************************************/


#
#---------[ 17. BEFORE, ADD ]---------------------------------------------------
# Note: Essentially your adding the next lines at the end of the LINK COLOURS section
# Again, edit to suit your own color tastes!
#

.calendar_bday A:link, .calendar_bday A:visited {COLOR: RED}
.calendar_bday A:hover {COLOR: #8080FF}
.calendar_event A:link, .calendar_event A:visited {COLOR: #00AE00}
.calendar_event A:hover {COLOR: #80EE80}


#
#---------[ 18. SAVE/UPLOAD ]-------------------------------------------------
#

